#ifndef __COMMON_H__
#define __COMMON_H__
#include <fstream>
#include <functional>
#include <filesystem>

#define APP_VERSION "2.2"
#define APP_NAME "system-stats"

using refstream = std::reference_wrapper<std::ostream>;

class LogFile {
	private:
		std::filesystem::path base;
		std::string date_ = "";
		std::ofstream stream;
		const std::string date();
		bool stdout = false;
	public:
		LogFile();
		void change(refstream& fstr);
};

std::string dumpReport();
#endif /* __COMMON_H__ */
